Skip to content

updatePaymentMethod

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
codeinteger, (int32)required

Unique code for the payment method.

Default:""
Example:10
descriptionstring, [ 0 .. 100 ] charactersrequired

Description of the payment method.

Default:""
Example:"Bank transfer"
documentstring, [ 0 .. 10 ] characters

Document code for the payment method.

Default:""
Example:"DOC01"
firstTerminteger, (int32), >= 0

Days to the first term.

Default:""
Example:30
termsinteger, (int32), >= 0

Number of terms.

Default:""
Example:3
daysTermsinteger, (int32), >= 0

Number of days for terms.

Default:""
Example:90
remittancebooleanrequired

Indicates whether remittance is required.

Default:false
Example:true
addToCustomerBasebooleanrequired

Indicates if the method adds to the customer base.

Default:false
Example:true
notCountedAsPaymentForecastbooleanrequired

Indicates if payment is not counted as forecast.

Default:false
Example:false
serveFullPrePaidbooleanrequired

Indicates if the service is fully prepaid.

Default:false
Example:false
paymentAccountinteger, (int32)

Payment account identifier.

Default:""
Example:410
discountAccountinteger, (int32)

Discount account identifier.

Default:""
Example:411
customerAccountinteger, (int32)

Customer account identifier.

Default:""
Example:430
saleAccountinteger, (int32)

Sale account identifier.

Default:""
Example:700
bankIdinteger, (int32)

Identifier of the bank associated with the payment method.

Default:""
Example:5
billCodestring, [ 0 .. 10 ] characters

Code for the bill.

Default:""
Example:"BILL01"
fdiCodestring(ApiFDICodesEnum)

FDI code for the payment method. See ApiFDICodes for all possible values.

Default:""
Enum:"A""D""E""F""I""N""P"
Example:"TRANSFER"
facturaECodestring(ApiFacturaECodeEnum)

FacturaE code for the payment method. See ApiFacturaECodeEnum for all available values.

Default:""
Enum:"NOT_SPECIFIED""CASH""DOMICILED_RECEIPT""RECEIPT""TRANSFER""ACCEPTED_LETTER""LETTER_OF_CREDIT""CONTRACT_AWARD""BILL_OF_EXCHANGE""PROMISORY_NOTE_IN_ORDER"
Example:"TRANSFERENCIA"
observationsstring

Additional observations about the payment method.

Default:""
Example:"Requires confirmation"
prestashopModulestring, [ 0 .. 50 ] characters

Name of the Prestashop module associated.

Default:""
Example:"ps_bankwire"
languagesobject

Map of localized languages for the payment method.

Default:""
iconstring, [ 0 .. 100 ] charactersrequired

Icon associated with the payment method.

Default:""
Example:"icon-bank.png"
cmsPaymentMethodDescriptionstring
PUT
/api/v1/payment/method/{id}
curl -i -X PUT \
  'https://api.prana.software/api/v1/payment/method/{id}' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codeinteger, (int32)required

Unique code for the payment method.

Default:""
Example:10
descriptionstring, non-emptyrequired

Description of the payment method.

Default:""
Example:"Bank transfer"
documentstring

Document code for the payment method.

Default:""
Example:"DOC01"
firstTerminteger, (int32)

Days to the first term.

Default:""
Example:30
termsinteger, (int32)

Number of terms.

Default:""
Example:3
daysTermsinteger, (int32)

Number of days for terms.

Default:""
Example:90
remittanceboolean

Indicates whether remittance is required.

Default:false
Example:true
addToCustomerBaseboolean

Indicates if the method adds to the customer base.

Default:false
Example:true
notCountedAsPaymentForecastboolean

Indicates if payment is not counted as forecast.

Default:false
Example:false
serveFullPrePaidboolean

Indicates if the service is fully prepaid.

Default:false
Example:false
paymentAccountobject(ApiChartAccountListReadDto)

Payment account identifier.

Default:""
Example:410
discountAccountobject(ApiChartAccountListReadDto)

Discount account identifier.

Default:""
Example:411
customerAccountobject(ApiChartAccountListReadDto)

Customer account identifier.

Default:""
Example:430
saleAccountobject(ApiChartAccountListReadDto)

Sale account identifier.

Default:""
Example:700
bankobject(ApiBankListReadDto)

Bank associated with the payment method.

Default:""
billCodestring

Code for the bill.

Default:""
Example:"BILL01"
fdiCodestring

FDI code for the payment method. See ApiFDICodes for all possible values.

Default:""
Example:"TRANSFER"
facturaECodestring(ApiFacturaECodeEnum)

FacturaE code for the payment method. See ApiFacturaECodeEnum for all available values.

Default:""
Enum:"NOT_SPECIFIED""CASH""DOMICILED_RECEIPT""RECEIPT""TRANSFER""ACCEPTED_LETTER""LETTER_OF_CREDIT""CONTRACT_AWARD""BILL_OF_EXCHANGE""PROMISORY_NOTE_IN_ORDER"
Example:"TRANSFERENCIA"
observationsstring

Additional observations about the payment method.

Default:""
Example:"Requires confirmation"
prestashopModulestring

Name of the Prestashop module associated.

Default:""
Example:"ps_bankwire"
languagesobject

Map of localized languages for the payment method.

Default:""
iconstring

Icon associated with the payment method.

Default:""
Example:"icon-bank.png"
cmsPaymentMethodDescriptionstring
Response
// No response example